import { LitElement } from 'lit';
type Constructor<T = {}> = new (...args: any[]) => T;
export declare class SelectableMixinInterface extends LitElement {
    selectable: boolean;
    deselectable: boolean;
    selected: boolean;
    selectableTarget: EventTarget;
}
/**
 * This mixin provides select functionality.
 * Consider if it makes sense to use the SelectOnlyMixin as well.
 *
 * @param {Object} superClass - superclass to be extended.
 * @mixin
 */
export declare const SelectableMixin: <T extends Constructor<LitElement>>(superClass: T) => Constructor<SelectableMixinInterface> & T;
export {};
